RTEMS: FIFO/Pipe File System Support

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Data Structures | Typedefs | Functions
FIFO/Pipe File System Support
IO Library » File System Types and Mount

Interface to the POSIX FIFO/Pipe File System. More...

## Files
file | fifo.c
| FIFO/Pipe Support.
file | pipe.c
| Create an Anonymous Pipe.

## Data Structures
struct | pipe_control

## Typedefs
typedef struct pipe_control | pipe_control_t

## Functions
void | pipe_release (pipe_control_t **pipep, rtems_libio_t *iop)
| Release a pipe.
int | fifo_open (pipe_control_t **pipep, rtems_libio_t *iop)
| File system open. Interface to file system open.
ssize_t | pipe_read (pipe_control_t *pipe, void *buffer, size_t count, rtems_libio_t *iop)
| File system read.
ssize_t | pipe_write (pipe_control_t *pipe, const void *buffer, size_t count, rtems_libio_t *iop)
| File system write.
int | pipe_ioctl (pipe_control_t *pipe, ioctl_command_t cmd, void *buffer, rtems_libio_t *iop)
| File system Input/Output control.

## Detailed Description

Interface to the POSIX FIFO/Pipe File System.

## Function Documentation

## ◆ fifo_open()

int fifo_open | ( | pipe_control_t ** | pipep,
|  | rtems_libio_t * | iop
| ) |  |

File system open. Interface to file system open.

*pipep points to pipe control structure. If called with *pipep = NULL, fifo_open will try allocating and initializing a control structure. If the call succeeds, *pipep will be set to address of new control structure.

## ◆ pipe_ioctl()

int pipe_ioctl | ( | pipe_control_t * | pipe,
|  | ioctl_command_t | cmd,
|  | void * | buffer,
|  | rtems_libio_t * | iop
| ) |  |

File system Input/Output control.

Interface to file system ioctl.

## ◆ pipe_read()

ssize_t pipe_read | ( | pipe_control_t * | pipe,
|  | void * | buffer,
|  | size_t | count,
|  | rtems_libio_t * | iop
| ) |  |

File system read.

Interface to file system read.

## ◆ pipe_release()

void pipe_release | ( | pipe_control_t ** | pipep,
|  | rtems_libio_t * | iop
| ) |  |

Release a pipe.

Interface to file system close.

*pipep points to pipe control structure. When the last user releases pipe, it will be set to NULL.

## ◆ pipe_write()

ssize_t pipe_write | ( | pipe_control_t * | pipe,
|  | const void * | buffer,
|  | size_t | count,
|  | rtems_libio_t * | iop
| ) |  |

File system write.

Interface to file system write.